# rust-curve25519-dalek.spec
# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate curve25519-dalek

Name:           rust-%{crate}
Version:        3.2.0
Release:        1%{?dist}.1
Summary:        Pure-Rust implementation of group operations on ristretto255 and Curve25519

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/curve25519-dalek
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(byteorder/i128) >= 1.2.3 with crate(byteorder/i128) < 2.0.0~)
BuildRequires:  (crate(digest) >= 0.9.0 with crate(digest) < 0.10.0~)
BuildRequires:  (crate(rand_core) >= 0.5.0 with crate(rand_core) < 0.6.0~)
BuildRequires:  (crate(rand_core/std) >= 0.5.0 with crate(rand_core/std) < 0.6.0~)
BuildRequires:  (crate(subtle) >= 2.2.1 with crate(subtle) < 3.0.0~)
BuildRequires:  (crate(subtle/std) >= 2.2.1 with crate(subtle/std) < 3.0.0~)
BuildRequires:  (crate(zeroize) >= 1.0.0 with crate(zeroize) < 2.0.0~)
BuildRequires:  (crate(zeroize/alloc) >= 1.0.0 with crate(zeroize/alloc) < 2.0.0~)
%if %{with check}
BuildRequires:  (crate(bincode/default) >= 1.0.0 with crate(bincode/default) < 2.0.0~)
BuildRequires:  (crate(criterion/default) >= 0.3.0 with crate(criterion/default) < 0.4.0~)
BuildRequires:  (crate(hex/default) >= 0.4.2 with crate(hex/default) < 0.5.0~)
BuildRequires:  (crate(rand/default) >= 0.7.0 with crate(rand/default) < 0.8.0~)
BuildRequires:  (crate(sha2) >= 0.9.0 with crate(sha2) < 0.10.0~)
%endif

%global _description %{expand:
Pure-Rust implementation of group operations on ristretto255 and Curve25519.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+avx2_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+avx2_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "avx2_backend" feature of the "%{crate}" crate.

%files       -n %{name}+avx2_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fiat-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fiat-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "fiat-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+fiat-crypto-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fiat_u32_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fiat_u32_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "fiat_u32_backend" feature of the "%{crate}" crate.

%files       -n %{name}+fiat_u32_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fiat_u64_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fiat_u64_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "fiat_u64_backend" feature of the "%{crate}" crate.

%files       -n %{name}+fiat_u64_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+packed_simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+packed_simd-devel %{_description}

This package contains library source intended for building other packages which
use the "packed_simd" feature of the "%{crate}" crate.

%files       -n %{name}+packed_simd-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+simd_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "simd_backend" feature of the "%{crate}" crate.

%files       -n %{name}+simd_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+u32_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u32_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u32_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u32_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+u64_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u64_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u64_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u64_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 3.2.0-1
- Update to 3.2.0
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 3.1.0-1
- Initial package
